/*
 * Copyright (c) 2000-2007 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

/*
 * This file is automatically generated
 * DO NOT EDIT!
 */

/*
 * Preference Keys
 *
 *   kSCPrefVirtualNetworkInterfaces                    "VirtualNetworkInterfaces"     CFDictionary
 *
 * Network Entity Keys
 *
 *   kSCEntNetEAPOL                                     "EAPOL"                        CFDictionary
 *
 * kSCCompNetwork Properties
 *
 *   kSCPropNetIgnoreLinkStatus                         "IgnoreLinkStatus"             CFBoolean
 *
 * kSCEntNetIPv4 Entity Keys
 *
 *   --- kSCPropNetIPv4ConfigMethod values ---
 *   kSCValNetIPv4ConfigMethodFailover                  "Failover"
 *
 * kSCEntNetPPP Entity Keys
 *
 *   --- OnDemand: ---
 *   kSCPropNetPPPOnDemandDomains                       "OnDemandDomains"              CFArray[CFString]
 *   kSCPropNetPPPOnDemandEnabled                       "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetPPPOnDemandHostName                      "OnDemandHostName"             CFString
 *   kSCPropNetPPPOnDemandMode                          "OnDemandMode"                 CFString
 *   kSCPropNetPPPOnDemandPriority                      "OnDemandPriority"             CFString
 *
 *   --- kSCPropNetPPPOnDemandMode values ---
 *   kSCValNetPPPOnDemandModeAggressive                 "Aggressive"
 *   kSCValNetPPPOnDemandModeConservative               "Conservative"
 *   kSCValNetPPPOnDemandModeCompatible                 "Compatible"
 *
 *   --- kSCPropNetPPPOnDemandPriority values ---
 *   kSCValNetPPPOnDemandPriorityDefault                "Default"
 *   kSCValNetPPPOnDemandPriorityHigh                   "High"
 *   kSCValNetPPPOnDemandPriorityLow                    "Low"
 *
 * kSCCompSystem Properties
 *
 *   kSCPropSystemComputerNameRegion                    "ComputerNameRegion"           CFNumber
 *   kSCPropSystemHostName                              "HostName"                     CFString
 *
 * Virtual Network Interface Keys
 *
 *   kSCPropVirtualNetworkInterfacesBondInterfaces      "Interfaces"                   CFArray[CFString]
 *   kSCPropVirtualNetworkInterfacesBondMode            "Mode"                         CFNumber
 *   kSCPropVirtualNetworkInterfacesBondOptions         "Options"                      CFDictionary
 *
 *   kSCPropVirtualNetworkInterfacesVLANInterface       "Interface"                    CFString
 *   kSCPropVirtualNetworkInterfacesVLANTag             "Tag"                          CFNumber
 *   kSCPropVirtualNetworkInterfacesVLANOptions         "Options"                      CFDictionary
 */


#ifndef _SCSCHEMADEFINITIONSPRIVATE_H
#define _SCSCHEMADEFINITIONSPRIVATE_H

/* -------------------- Macro declarations -------------------- */

#include <SystemConfiguration/SCSchemaDefinitions.h>

/* -------------------- HeaderDoc comments -------------------- */


#if	0
/*!
 *	@header SCSchemaDefinitionsPrivate
 */

/*!
  @group Preference Keys
 */

/*!
  @const kSCPrefVirtualNetworkInterfaces
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPrefVirtualNetworkInterfaces;

/*!
  @group Network Entity Keys
 */

/*!
  @const kSCEntNetEAPOL
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCEntNetEAPOL;

/*!
  @group kSCCompNetwork Properties
 */

/*!
  @const kSCPropNetIgnoreLinkStatus
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIgnoreLinkStatus;

/*!
  @group kSCEntNetIPv4 Entity Keys
 */

/*!
  @const kSCValNetIPv4ConfigMethodFailover
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodFailover;

/*!
  @group kSCEntNetPPP Entity Keys
 */

/*!
  @const kSCPropNetPPPOnDemandDomains
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandDomains;

/*!
  @const kSCPropNetPPPOnDemandEnabled
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandEnabled;

/*!
  @const kSCPropNetPPPOnDemandHostName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandHostName;

/*!
  @const kSCPropNetPPPOnDemandMode
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandMode;

/*!
  @const kSCPropNetPPPOnDemandPriority
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandPriority;

/*!
  @const kSCValNetPPPOnDemandModeAggressive
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeAggressive;

/*!
  @const kSCValNetPPPOnDemandModeConservative
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeConservative;

/*!
  @const kSCValNetPPPOnDemandModeCompatible
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeCompatible;

/*!
  @const kSCValNetPPPOnDemandPriorityDefault
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityDefault;

/*!
  @const kSCValNetPPPOnDemandPriorityHigh
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityHigh;

/*!
  @const kSCValNetPPPOnDemandPriorityLow
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityLow;

/*!
  @group kSCCompSystem Properties
 */

/*!
  @const kSCPropSystemComputerNameRegion
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropSystemComputerNameRegion;

/*!
  @const kSCPropSystemHostName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropSystemHostName;

/*!
  @group Virtual Network Interface Keys
 */

/*!
  @const kSCPropVirtualNetworkInterfacesBondInterfaces
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondInterfaces;

/*!
  @const kSCPropVirtualNetworkInterfacesBondMode
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondMode;

/*!
  @const kSCPropVirtualNetworkInterfacesBondOptions
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondOptions;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANInterface
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANInterface;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANTag
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANTag;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANOptions
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANOptions;

#endif	/* 0 */


/* -------------------- Schema declarations -------------------- */


#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPrefVirtualNetworkInterfaces, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPrefVirtualNetworkInterfaces                               \
	  SC_SCHEMA_KV(kSCPrefVirtualNetworkInterfaces                  \
		      ,"VirtualNetworkInterfaces"                       \
		      ,CFDictionary                                     )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCEntNetEAPOL, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCEntNetEAPOL                                                \
	  SC_SCHEMA_KV(kSCEntNetEAPOL                                   \
		      ,"EAPOL"                                          \
		      ,CFDictionary                                     )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetIgnoreLinkStatus, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetIgnoreLinkStatus                                    \
	  SC_SCHEMA_KV(kSCPropNetIgnoreLinkStatus                       \
		      ,"IgnoreLinkStatus"                               \
		      ,CFBoolean                                        )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodFailover, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetIPv4ConfigMethodFailover                             \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodFailover                \
		      ,"Failover"                                       \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandDomains, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetPPPOnDemandDomains                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandDomains                     \
		      ,"OnDemandDomains"                                \
		      ,CFArray[CFString]                                )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandEnabled, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetPPPOnDemandEnabled                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandEnabled                     \
		      ,"OnDemandEnabled"                                \
		      ,CFNumber (0 or 1)                                )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandHostName, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetPPPOnDemandHostName                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandHostName                    \
		      ,"OnDemandHostName"                               \
		      ,CFString                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandMode, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetPPPOnDemandMode                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandMode                        \
		      ,"OnDemandMode"                                   \
		      ,CFString                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandPriority, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropNetPPPOnDemandPriority                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandPriority                    \
		      ,"OnDemandPriority"                               \
		      ,CFString                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeAggressive, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandModeAggressive                            \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeAggressive               \
		      ,"Aggressive"                                     \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeConservative, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandModeConservative                          \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeConservative             \
		      ,"Conservative"                                   \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeCompatible, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandModeCompatible                            \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeCompatible               \
		      ,"Compatible"                                     \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityDefault, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandPriorityDefault                           \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityDefault              \
		      ,"Default"                                        \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityHigh, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandPriorityHigh                              \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityHigh                 \
		      ,"High"                                           \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityLow, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCValNetPPPOnDemandPriorityLow                               \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityLow                  \
		      ,"Low"                                            \
		      ,                                                 )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropSystemComputerNameRegion, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropSystemComputerNameRegion                               \
	  SC_SCHEMA_KV(kSCPropSystemComputerNameRegion                  \
		      ,"ComputerNameRegion"                             \
		      ,CFNumber                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropSystemHostName, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropSystemHostName                                         \
	  SC_SCHEMA_KV(kSCPropSystemHostName                            \
		      ,"HostName"                                       \
		      ,CFString                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondInterfaces, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesBondInterfaces                 \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondInterfaces    \
		      ,"Interfaces"                                     \
		      ,CFArray[CFString]                                )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondMode, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesBondMode                       \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondMode          \
		      ,"Mode"                                           \
		      ,CFNumber                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondOptions, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesBondOptions                    \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondOptions       \
		      ,"Options"                                        \
		      ,CFDictionary                                     )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANInterface, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesVLANInterface                  \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANInterface     \
		      ,"Interface"                                      \
		      ,CFString                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANTag, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesVLANTag                        \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANTag           \
		      ,"Tag"                                            \
		      ,CFNumber                                         )
#endif

#if MAC_OS_X_VERSION_MAX_ALLOWED >= 1050
  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANOptions, AVAILABLE_MAC_OS_X_VERSION_10_5_AND_LATER)
#endif
#if (MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (MAC_OS_X_VERSION_MAX_ALLOWED >= 1050)
  #define kSCPropVirtualNetworkInterfacesVLANOptions                    \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANOptions       \
		      ,"Options"                                        \
		      ,CFDictionary                                     )
#endif

#endif /* _SCSCHEMADEFINITIONSPRIVATE_H */
